SINFO(1)

NAME
sinfo - Used to view information about Slurm nodes and partitions.

SYNOPSIS
sinfo [OPTIONS...]

DESCRIPTION
sinfo is used to view partition and node information for a system running SLURM.

OPTIONS

-?, --help
    Print a help message describing the usage of sinfo.

-e, --exact
    If set, do not group node information on multiple nodes unless their configurations to be reported are identical. Otherwise cpu count, memory size, and disk space for nodes will be listed with the minimum value followed by a "+" for nodes with the same partition and state (e.g., "250+").

-i <seconds> , --iterate=<seconds>
    Print the state on a periodic basis. Sleep for the indicated number of seconds between reports.

-l , --long
    Print more detailed information.

-n <nodes> , --nodes=<nodes>
    Print information only about the specified node(s).

-N , --Node
    Print information in a node-oriented format. The default is to print information in a partition-oriented format.

-t <state> , --state=<state>
    List nodes of a given state.

-s , --summarize
    List only a partition state summary with no node state details.

-p <partition>, --partition=<partition>
    Print information only about the specified partition.

--usage
    Dipaly brief description of commands and options.

-v , --verbose
    Provide detailed event logging through program execution.

ARGUMENTS

nodes
    The names of one or more comma separated nodes. Names may be specified using node range expressions. For example "linux[00-07]" would indicate eight nodes, "linux00" through "linux07".

partition
    The name of one partition.

state
    A valid node state. Possible values include: ALLOC, ALLOCATED, COMP, COMPLETING, DOWN, DRAIN, DRAINED, DRAINING, IDLE, UNK, and UNKNOWN. A "*" suffix may be appended to any of these states to search for nodes in the specified state which are not responding. By default nodes in the specified state are reported whether they are responding or not.

OUTPUT

PARTITION
    Name of a partition. Note that the suffix "*" identifies the default partition.

AVAIL
    Partition state, UP or DOWN.

NODES
    Count of nodes with this particular configuration.

STATE
    State of the nodes. Note that the suffix "*" identifies nodes that are presently not responding.

CPUS
    Count of CPUs (processors) on these nodes.

MEMORY
    Size of real memory in megabytes on these nodes.

TMP_DISK
    Size of temporary disk space in megabytes on these nodes.

NODE_LIST
    Names of nodes associated with this configuration/partition.

MAX_TIME
    Maximum time limit for any user job in minutes. NONE is used to identify partitions without a job time limit.

JOB_SIZE
    Minimum and maximum node count that can be allocated to any user job. A single number indicates the minimum and maximum node count are the same.

ROOT
    Is the ability to allocate resources in this partition restricted to user root, YES or NO.

SHARE
    Will jobs allocated resources in this partition share those resources. NO indicates resources are never shared. FORCE indicates resources are always available to be shared. YES indicates resource may be shared or not per job's resource allocation.

GROUPS
    Resource allocations in this partition are restricted to the named groups. ALL indicates that all groups may use this partition.

EXAMPLES
Report basic node and partition configurations:
> sinfo
PARTITION AVAIL NODES STATE NODE_LIST
------------------------------------------------------------
debug UP 8 IDLE adev[0-7]
batch* UP 2 ALLOC adev[8-9]
                    6 IDLE adev[10-15]

Report partition summary information:
> sinfo -s
PARTITION AVAIL NODES NODE_LIST
------------------------------------------------------------
debug UP 8 adev[0-7]
batch* UP 8 adev[8-15]

Report more complete information about the partition debug:
> sinfo --long --partition debug
PARTITION AVAIL NODES STATE MAX_TIME JOB_SIZE ROOT SHARE GROUPS NODE_LIST
-------------------------------------------------------------------------
debug UP 8 IDLE NONE 1-26 NO NO ALL adev[0-7]
Report only those nodes that are in state DRAINED:
> sinfo --state=DRAINED
PARTITION AVAIL NODES STATE NODE_LIST
------------------------------------------------------------
debug UP 2 DRAIN adev[6-7]
Report node-oriented information with details and exact matches:
> sinfo -Nel
NODE_LIST NODES PARTITION STATE CPUS MEMORY TMP_DISK WEIGHT FEATURES
----------------------------------------------------------------------
adev[0-1] 2 debug IDLE 2 3448 38536 16 (null)
adev[2,4-7] 5 debug IDLE 2 3384 38536 16 (null)
adev3 1 debug IDLE 2 3394 38536 16 (null)
adev[8-9] 2 batch ALLOCATED 2 246 82306 16 (null)
adev[10-15] 6 batch IDLE 2 246 82306 16 (null)

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
scontrol(1), squeue(1), slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3), slurm_reconfigure(3), slurm_shutdown(3), slurm_update_job(3), slurm_update_node(3), slurm_update_partition(3)